%define upstream_name    DBIx-Class-ResultSet-RecursiveUpdate
%define upstream_version 0.26

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    DBIx-Class extension for providing recursive updates
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan) >= 6.40.0
BuildRequires: perl(DBD::SQLite) >= 1.210.0
BuildRequires: perl(DBIx::Class) >= 0.81.30
BuildRequires: perl(DBIx::Class::InflateColumn::FS)
BuildRequires: perl(DBIx::Class::IntrospectableM2M)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(List::MoreUtils) >= 0.220.0
BuildRequires: perl(Readonly) >= 1.30.0
BuildRequires: perl(SQL::Translator) >= 0.110.60
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Test::Warn) >= 0.200.0
BuildArch:  noarch

%description
You can feed the ->create method of DBIx::Class with a recursive datastructure
and have the related records created. Unfortunately you cannot do a similar
thing with update_or_create. This module tries to fill that void until
DBIx::Class has an api itself.

The functional interface can be used without modifications of the model, for
example by form processors like HTML::FormHandler::Model::DBIC.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.260.0-2.mga3
+ Revision: 365125
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 342002
- update to 0.26

* Tue Jun 05 2012 jquelin <jquelin> 0.250.0-1.mga3
+ Revision: 254740
- update to 0.25

* Wed Jun 15 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 106565
- update to 0.24

* Fri Feb 25 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 59696
- update to 0.23

* Wed Jan 26 2011 jquelin <jquelin> 0.210.0-2.mga1
+ Revision: 39987
- mageia rebuild
- imported package perl-DBIx-Class-ResultSet-RecursiveUpdate

